ClearCase (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.clearcase, class: ClearCase

Package org.apache.tools.ant.taskdefs.optional.clearcase

# Class ClearCase

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `CCCheckin`, `CCCheckout`, `CCLock`, `CCMkattr`, `CCMkbl`, `CCMkdir`, `CCMkelem`, `CCMklabel`, `CCMklbtype`, `CCRmtype`, `CCUnCheckout`, `CCUnlock`, `CCUpdate`

public abstract class ClearCase extends Task
A base class for creating tasks for executing commands on ClearCase.

By default the task expects the cleartool executable to be in the path, you can override this be specifying the cleartooldir attribute.

This class provides set and get methods for the 'viewpath' and 'objselect' attribute. It also contains constants for the flags that can be passed to cleartool.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COMMAND_CHECKIN`
  The 'Checkin' command
  `static final String`
  `COMMAND_CHECKOUT`
  The 'Checkout' command
  `static final String`
  `COMMAND_LOCK`
  The 'Lock' command
  `static final String`
  `COMMAND_LSCO`
  The 'LsCheckout' command
  `static final String`
  `COMMAND_MKATTR`
  The 'Mkattr' command
  `static final String`
  `COMMAND_MKBL`
  The 'Mkbl' command
  `static final String`
  `COMMAND_MKDIR`
  The 'Mkdir' command
  `static final String`
  `COMMAND_MKELEM`
  The 'Mkelem' command
  `static final String`
  `COMMAND_MKLABEL`
  The 'Mklabel' command
  `static final String`
  `COMMAND_MKLBTYPE`
  The 'Mklbtype' command
  `static final String`
  `COMMAND_RMTYPE`
  The 'Rmtype' command
  `static final String`
  `COMMAND_UNCHECKOUT`
  The 'UndoCheckout' command
  `static final String`
  `COMMAND_UNLOCK`
  The 'Unlock' command
  `static final String`
  `COMMAND_UPDATE`
  The 'Update' command

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClearCase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final String`
  `getClearToolCommand()`
  Builds and returns the command string to execute cleartool
  `boolean`
  `getFailOnErr()`
  Get failonerr flag status
  `String`
  `getObjSelect()`
  Get the object to operate on
  `String`
  `getViewPath()`
  Get the path to the item in a clearcase view
  `String`
  `getViewPathBasename()`
  Get the basename path of the item in a clearcase view
  `protected int`
  `run(Commandline cmd)`
  Execute the given command are return success or failure
  `protected String`
  `runS(Commandline cmdline)`
  Deprecated.
  use the two arg version instead
  `protected String`
  `runS(Commandline cmdline, boolean failOnError)`
  Execute the given command, and return it's output
  `final void`
  `setClearToolDir(String dir)`
  Set the directory where the cleartool executable is located.
  `void`
  `setFailOnErr(boolean failonerr)`
  If true, command will throw an exception on failure.
  `final void`
  `setObjSelect(String objSelect)`
  Set the object to operate on.
  `final void`
  `setViewPath(String viewPath)`
  Set the path to the item in a ClearCase view to operate on.

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COMMAND_UPDATE

    public static final String COMMAND_UPDATE
    The 'Update' command
    See Also:
      - Constant Field Values

  - ### COMMAND_CHECKOUT

    public static final String COMMAND_CHECKOUT
    The 'Checkout' command
    See Also:
      - Constant Field Values

  - ### COMMAND_CHECKIN

    public static final String COMMAND_CHECKIN
    The 'Checkin' command
    See Also:
      - Constant Field Values

  - ### COMMAND_UNCHECKOUT

    public static final String COMMAND_UNCHECKOUT
    The 'UndoCheckout' command
    See Also:
      - Constant Field Values

  - ### COMMAND_LOCK

    public static final String COMMAND_LOCK
    The 'Lock' command
    See Also:
      - Constant Field Values

  - ### COMMAND_UNLOCK

    public static final String COMMAND_UNLOCK
    The 'Unlock' command
    See Also:
      - Constant Field Values

  - ### COMMAND_MKBL

    public static final String COMMAND_MKBL
    The 'Mkbl' command
    See Also:
      - Constant Field Values

  - ### COMMAND_MKLABEL

    public static final String COMMAND_MKLABEL
    The 'Mklabel' command
    See Also:
      - Constant Field Values

  - ### COMMAND_MKLBTYPE

    public static final String COMMAND_MKLBTYPE
    The 'Mklbtype' command
    See Also:
      - Constant Field Values

  - ### COMMAND_RMTYPE

    public static final String COMMAND_RMTYPE
    The 'Rmtype' command
    See Also:
      - Constant Field Values

  - ### COMMAND_LSCO

    public static final String COMMAND_LSCO
    The 'LsCheckout' command
    See Also:
      - Constant Field Values

  - ### COMMAND_MKELEM

    public static final String COMMAND_MKELEM
    The 'Mkelem' command
    See Also:
      - Constant Field Values

  - ### COMMAND_MKATTR

    public static final String COMMAND_MKATTR
    The 'Mkattr' command
    See Also:
      - Constant Field Values

  - ### COMMAND_MKDIR

    public static final String COMMAND_MKDIR
    The 'Mkdir' command
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ClearCase

    public ClearCase()

- ## Method Details

  - ### setClearToolDir

    public final void setClearToolDir(String dir)
    Set the directory where the cleartool executable is located.
    Parameters:
      `dir` - the directory containing the cleartool executable

  - ### getClearToolCommand

    protected final String getClearToolCommand()
    Builds and returns the command string to execute cleartool
    Returns:
      String containing path to the executable

  - ### setViewPath

    public final void setViewPath(String viewPath)
    Set the path to the item in a ClearCase view to operate on.
    Parameters:
      `viewPath` - Path to the view directory or file

  - ### getViewPath

    public String getViewPath()
    Get the path to the item in a clearcase view
    Returns:
      mviewPath

  - ### getViewPathBasename

    public String getViewPathBasename()
    Get the basename path of the item in a clearcase view
    Returns:
      basename

  - ### setObjSelect

    public final void setObjSelect(String objSelect)
    Set the object to operate on.
    Parameters:
      `objSelect` - object to operate on

  - ### getObjSelect

    public String getObjSelect()
    Get the object to operate on
    Returns:
      mobjSelect

  - ### run

    protected int run(Commandline cmd)
    Execute the given command are return success or failure
    Parameters:
      `cmd` - command line to execute
    Returns:
      the exit status of the subprocess or `INVALID`

  - ### runS

    @Deprecated protected String runS(Commandline cmdline)
    Deprecated.
    use the two arg version instead
    Execute the given command, and return it's output
    Parameters:
      `cmdline` - command line to execute
    Returns:
      output of the command line

  - ### runS

    protected String runS(Commandline cmdline, boolean failOnError)
    Execute the given command, and return it's output
    Parameters:
      `cmdline` - command line to execute
      `failOnError` - whether to fail the build if the command fails
    Returns:
      output of the command line
    Since:
      Ant 1.10.6

  - ### setFailOnErr

    public void setFailOnErr(boolean failonerr)
    If true, command will throw an exception on failure.
    Parameters:
      `failonerr` - the status to set the flag to
    Since:
      ant 1.6.1

  - ### getFailOnErr

    public boolean getFailOnErr()
    Get failonerr flag status
    Returns:
      boolean containing status of failonerr flag
    Since:
      ant 1.6.1